extension:
  name: nasa_apod
  display_name: NASA Astronomy Picture of the Day
  version: 0.1.0
  host: science
  category: data
  description: |
    Reference 4.x→5.0 port. NASA's Astronomy Picture of the Day
    endpoint, wrapped as the retrieval.<id> contract so enabling
    `data.nasa_apod` in the chat sidebar pulls the current APOD
    into retrieval context.

    Tool exposed: `search` with args {query, top_k}, answering
    {snippets:[{text, source, score}]}.

  model: B
  external_url: http://127.0.0.1:9504

  tools:
    - search

  license_tier: free
  signature_key: ""
